> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusset.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Hook

> Delete a hook and all its execution history

Permanently removes a hook and its execution log.

## Path Parameters

<ParamField path="marketId" type="string" required>Market ID.</ParamField>
<ParamField path="hookId" type="string" required>Hook ID.</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}" \
    -H "X-API-Key: trusset_your_key_here"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "deleted": true
    }
  }
  ```
</ResponseExample>
